'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (_ref) {
  var t = _ref.types;

  return {
    visitor: {
      JSXIdentifier: function JSXIdentifier(path) {
        if (path.node.name !== 'style') return;
        if (!t.isJSXAttribute(path.parent)) return; // avoid elements named `style`

        var expr = path.parentPath.get('value.expression');
        if (!expr.isObjectExpression) return;

        if (expr.isPure()) {
          expr.hoist();
        }
      }
    }
  };
};